Update issue status or notes
PATCH
/v1/issues/{id}
const url = 'https://api.monita.ai/v1/issues/example';const options = { method: 'PATCH', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"status":"open","notes":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://api.monita.ai/v1/issues/example \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "status": "open", "notes": "example" }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
Request Body
Section titled “Request Body”Media typeapplication/json
object
status
string
notes
string
Responses
Section titled “Responses”Updated
Media typeapplication/json
object
id
required
string
alertId
required
string
status
required
string
severity
required
string
title
required
string
alertType
required
string
occurrences
required
number
capReached
required
boolean
notificationsSent
required
number
impactValue
required
number
notes
required
string
jiraKey
required
string
firstSeenAt
required
number
lastSeenAt
required
number
hosts
Array<string>
Example
{ "status": "open", "hosts": null}Not found
Media typeapplication/json
object
error
required
string
Examplegenerated
{ "error": "example"}